Skip to main content
GET
/
internal_wallets
/
{walletId}
TypeScript
const response: Promise<FireblocksResponse<UnmanagedWallet>> = fireblocks.internalWallets.getInternalWallet(internalWalletsApiGetInternalWalletRequest);
{
  "id": "<string>",
  "name": "<string>",
  "assets": [
    {
      "id": "<string>",
      "balance": "<string>",
      "lockedAmount": "<string>",
      "status": "WAITING_FOR_APPROVAL",
      "address": "<string>",
      "tag": "<string>",
      "activationTime": "<string>"
    }
  ],
  "customerRefId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

walletId
string
required

The ID of the wallet to return

Response

A Wallet object

id
string
required
name
string
required
assets
object[]
required
customerRefId
string